Package net.shibboleth.idp.plugin.authn.webauthn.admin

# Class WebAuthnRegistrationEventIds

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.admin.WebAuthnRegistrationEventIds

public final class WebAuthnRegistrationEventIds extends Object
Constants to use for `ProfileAction` `EventContext` results related to WebAuthn registration.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`INVALID_ADMIN_ACTION`
A general event ID that is signalled if there is an issue performing an 'admin' action (e.g., registration or user management).
`static final String`
`INVALID_MANAGEMENT_CTX`
Management context is invalid.
`static final String`
`INVALID_REGISTRATION`
Registration failed.
`static final String`
`INVALID_REGISTRATION_CTX`
Registration context is invalid.
`static final String`
`NO_SEARCH_USERNAME_AFTER_C14N`
There is no search username to search on in the management interface because c14n failed.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`WebAuthnRegistrationEventIds()`
Private constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INVALID_REGISTRATION

@Nonnull @NotEmpty public static final String INVALID_REGISTRATION
Registration failed.

See Also:
  - Constant Field Values

### INVALID_REGISTRATION_CTX

@Nonnull @NotEmpty public static final String INVALID_REGISTRATION_CTX
Registration context is invalid.

See Also:
  - Constant Field Values

### INVALID_MANAGEMENT_CTX

@Nonnull @NotEmpty public static final String INVALID_MANAGEMENT_CTX
Management context is invalid.

See Also:
  - Constant Field Values

### INVALID_ADMIN_ACTION

@Nonnull @NotEmpty public static final String INVALID_ADMIN_ACTION
A general event ID that is signalled if there is an issue performing an 'admin' action (e.g., registration or user management).

See Also:
  - Constant Field Values

### NO_SEARCH_USERNAME_AFTER_C14N

@Nonnull @NotEmpty public static final String NO_SEARCH_USERNAME_AFTER_C14N
There is no search username to search on in the management interface because c14n failed.

See Also:
  - Constant Field Values

## Constructor Details

### WebAuthnRegistrationEventIds

private WebAuthnRegistrationEventIds()
Private constructor.